2012-07-30 1 views
9

Hola Acabo de actualizar a Mountain Lion. Creé una aplicación de vista única vacía y la ejecuté. La primera vez funciona bien, pero las próximas ejecuciones me darán el "Hubo un error emergente interno API" advertencia DOS VECES. Es lo mismo con mis otros proyectos. Corren bien una vez pero obtienen este error en las siguientes ejecuciones. No hubo advertencia ni ningún mensaje de advertencia específico de ningún tipo.Xcode 4.4 - Hubo un error API interno

¿Alguna idea de cómo solucionar esto?

Realmente agradecería su ayuda.

+0

¿Qué versión de Xcode estás usando? –

+1

Yo también ... Esto sigue sucediendo en CADA construcción. Solo una eliminación limpia y manual de la aplicación desde mi iPhone permitiría que la construcción se procesara. – quantum

+0

¡La solución de Quantum funcionó para mí! :) – haifacarina

Respuesta

1

Lo tengo trabajando en iOS6 Beta 4 !! Esto es lo que hice, pero otras variaciones también pueden trabajar: -

  1. Instalar Xcode 4.5 Developer Preview 4
  2. eliminar su aplicación desde el dispositivo
  3. Ejecutar la aplicación desde Dev Revisión 4
  4. Eliminar el aplicación de nuevo (no estoy seguro si tiene que hacer esto)
  5. Volver a XCode 4.4.1
  6. Ejecute su aplicación, deje de funcionar, vuelva a ejecutar !!!

Por supuesto que podría seguir desarrollándose en 4.5, pero prefiero esperar.

Instalación 4.5 Beta 4 instala el soporte actualizado del dispositivo. Una vez hecho esto una vez (posiblemente en cualquier dispositivo) debería funcionar bien. Si usa el mismo dispositivo en una máquina diferente, deberá volver a ejecutarlo una vez desde 4.5 Beta 4 antes de usar su versión preferida de Xcode (esta vez no necesita eliminar la aplicación de su dispositivo).

Editar: Estoy bastante seguro de que si realiza un cambio en sus datos básicos, también deberá ejecutar 4.5 desde la primera vez.

+0

. Esta respuesta te ayudó a encontrar la solución a tu pregunta, de ser así, acepta esta respuesta. Consulte este [enlace] (http://meta.stackexchange.com/questions/5234/how-does-accepting-an-answer-work) para saber cómo marcar las respuestas. ¡Gracias! – Patrick

0

No sé si esto ayuda, pero he borrado todos los archivos en ${HOME}/Library/Developer/Xcode/iOS DeviceSupport y funcionó como un encanto (Xcode 4.4.1, OSX 10.7)

0

he tenido este problema cuando actualicé mi dispositivo a Vista previa4 pero mi MBP todavía estaba ejecutando Xcode Preview3. La actualización a Xcode Preview4 hizo que el problema desapareciera, no es necesario reiniciar.

0

Eliminar la aplicación manualmente desde el dispositivo/simulador le permitirá compilar y ejecutar correctamente. Una solución a largo plazo es no utilizar un Beta Xcode :)

0

Suena loco, pero tampoco puede usar la versión Beta de XCode 4. Sin embargo, debe mantenerlo en su mano izquierda para autorizar la compilación de su iPhone con la versión no beta (no me preguntes por qué, funciona).

Si ejecuta su aplicación con la vista previa de XCode 4.5 & IOS6 Beta 4, la segunda vez que ejecuta su aplicación en el dispositivo, obtendrá el error interno de la API.

En teoría, no puede usar XCode 4.4 para compilar en su iOS6 Beta 4 iPhone.

Pero ...

Parece que, si inicia XCode 4.5 Vista previa, conectar su iPhone (por lo que se reconoce), ejecutar la aplicación en el mismo (incluso si se obtiene el error), salga de XCode 4.5 , inicia XCode 4.4 y tadaaaa .. ... tu iPhone es ahora reconocido como un dispositivo autorizada para la elaboración de ...

Y, por supuesto, XCode 4.4 no genera el error api ...

+0

Ah, por cierto, esto "truco" funciona hasta que reinicies tu iPhone. – CutMaster

0

tengo Xcode 5.0.2 y iPhone con iOS 7.0.6.

Cada vez que inicié mi proyecto en iPhone, vi "Hubo un error API interno". Y se lanzó en el simulador sin ningún problema.

Hice todas las cosas que generalmente ayudan (como eliminar una aplicación, limpiar, reiniciar Xcode, reiniciar un mac, etc.).

Este problema desapareció solo después de restaurar el iPhone. Triste pero cierto. No sé hasta ahora, por qué apareció.

Cuestiones relacionadas